Subject: Re: [PATCH v12 00/30] Tracefs support for pKVM

From: Marc Zyngier <[email-masked]>
Date: Thu, 19 Feb 2026 19:11:21 +0000

On Thu, 19 Feb 2026 18:02:20 +0000,
Steven Rostedt <[email-masked]> wrote:
> 
> On Thu, 19 Feb 2026 15:02:37 +0000
> Vincent Donnefort <[email-masked]> wrote:
> 
> > The growing set of features supported by the hypervisor in protected
> > mode necessitates debugging and profiling tools. Tracefs is the
> > ideal candidate for this task:
> > 
> >   * It is simple to use and to script.
> > 
> >   * It is supported by various tools, from the trace-cmd CLI to the
> >     Android web-based perfetto.
> > 
> >   * The ring-buffer, where are stored trace events consists of linked
> >     pages, making it an ideal structure for sharing between kernel and
> >     hypervisor.
> > 
> > This series first introduces a new generic way of creating remote events and
> > remote buffers. Then it adds support to the pKVM hypervisor.
> > 
> 
> So I finished my review of all the tracing patches, but I just realized
> that there's likely going to be some major conflicts with changes in the
> tracing tree that's going to happen against this series.
> 
> To solve that, after -rc2 comes out, I'll apply the tracing portion of this
> series to a branch in my tree directly on top of -rc2 and I will then use
> that to base my changes for the next merge window.
> 
> Then the arm/kvm folks could start with that branch and add the arm/KVM
> portion of this series on top of it. This will prevent major merge
> conflicts in linux-next.
> 
> Does that sound OK?

That works. Just send us a link to the branch after -rc2 and we'll get
that sorted.

Thanks,

	M.

-- 
Jazz isn't dead. It just smells funny.